#! @BASH@
#
echo 1..5 # Number of tests to be executed.
#
test -n "$CDO"      || CDO="@abs_top_builddir@/src/cdo $CDO_DEBUG"
test -n "$DATAPATH" || DATAPATH="@abs_top_srcdir@/test/data/"
#
STATS="copy"
#
FILES="datar.nc datag.nc datac.nc datau.nc testfile01c.nc"
#
NTEST=1
#
HAS_NETCDF=`${CDO} --config has-nc`
#
for OPERATOR in $STATS; do
    for FILE in $FILES; do
        RSTAT=0

        IFILE=$DATAPATH/${FILE}
        OFILE=${OPERATOR}_${FILE}

        CDOTEST="$OPERATOR $FILE"
        CDOCOMMAND="$CDO  $OPERATOR $IFILE $OFILE"

        if [ "${HAS_NETCDF}" = yes ] ; then
            echo "Running test: $NTEST"
            echo "$CDOCOMMAND"

            $CDOCOMMAND
            test $? -eq 0 || (( RSTAT+=1 ))

            $CDO  diff $IFILE $OFILE
            test $? -eq 0 || (( RSTAT+=1 ))

            test $RSTAT -eq 0 && echo "ok $NTEST - $CDOTEST"
            test $RSTAT -eq 0 || echo "not ok $NTEST - $CDOTEST"
        else
            test $RSTAT -eq 0 && echo "ok $NTEST - $CDOTEST # SKIP netCDF not enabled"
        fi

        (( NTEST+=1 ))
        rm -f $OFILE
    done
done
#
exit 0
